org.apache.ignite.internal

## Class ServiceMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.ServiceMXBeanImpl

All Implemented Interfaces:
  ServiceMXBean

    public class ServiceMXBeanImpl
    extends Object
    implements ServiceMXBean

ServiceMXBean implementation.

### Constructor Summary

Constructors
Constructor and Description
`ServiceMXBeanImpl(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceMXBeanImpl

    public ServiceMXBeanImpl(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### cancel

    public void cancel(String name)

Specified by:
  `cancel` in interface `ServiceMXBean`
Parameters:
  `name` - Service name.
See Also:
  `ServiceView.name()`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020